## GZlibDecompressor GZlibDecompressor — Zlib decompressor |

## Synopsis

    #include <gio/gio.h>

                        GZlibDecompressor;
    GZlibDecompressor * g_zlib_decompressor_new             (GZlibCompressorFormat format);

## Object Hierarchy

      GObject
       +----GZlibDecompressor

## Implemented Interfaces

GZlibDecompressor implements GConverter.

## Properties

      "format"                   GZlibCompressorFormat  : Read / Write / Construct Only

## Description

GZlibDecompressor is an implementation of GConverter that decompresses data compressed with zlib.

## Details

### GZlibDecompressor

    typedef struct _GZlibDecompressor GZlibDecompressor;

Zlib decompression

### g_zlib_decompressor_new ()

    GZlibDecompressor * g_zlib_decompressor_new             (GZlibCompressorFormat format);

Creates a new GZlibDecompressor.

`format` : | The format to use for the compressed data
Returns : | a new GZlibDecompressor

Since 2.24

## Property Details

### The `"format"` property

      "format"                   GZlibCompressorFormat  : Read / Write / Construct Only

The format of the compressed data.

Default value: G_ZLIB_COMPRESSOR_FORMAT_ZLIB